HACKING

Η Netgear δεν έχει διορθώσει έξι ευπάθειες στο router Nighthawk

This post was originally published on this site

Οι ερευνητές βρήκαν έξι ευπάθειες υψηλού κινδύνου στην τελευταία έκδοση firmware για το router Netgear Nighthawk R6700v3. Κατά τη στιγμή της δημοσίευσης, τα ελαττώματα παραμένουν unpatched.

Δείτε επίσης: Netgear: Mesh router Wi-Fi 6E $1,500 θα φτιάξει το έξυπνο σπίτι σας

Το Nighthawk R6700 είναι ένα δημοφιλές router dual-bank WiFi που διαφημίζεται με λειτουργίες εστιασμένες στα παιχνίδια, έξυπνους γονικούς ελέγχους και εσωτερικό hardware που είναι αρκετά ισχυρό για να καλύψει τις ανάγκες των οικιακών ηλεκτρικών χρηστών.

Τα έξι ελαττώματα ανακαλύφθηκαν από ερευνητές στην εταιρεία κυβερνοασφάλειας Tenable και θα μπορούσαν να επιτρέψουν σε έναν εισβολέα στο δίκτυο να αναλάβει τον πλήρη έλεγχο της συσκευής:

  • CVE-2021-20173: Ένα ελάττωμα post-authentication command injection στη λειτουργικότητα ενημέρωσης της συσκευής, που την καθιστά επιρρεπή σε command injection.
  • CVE-2021-20174: Το HTTP χρησιμοποιείται από προεπιλογή σε όλες τις επικοινωνίες του web interface της συσκευής, με κίνδυνο υποκλοπής ονόματος χρήστη και κωδικού πρόσβασης σε μορφή καθαρού κειμένου.
  • CVE-2021-20175: Το interface SOAP (θύρα 5000) χρησιμοποιεί HTTP για επικοινωνία από προεπιλογή, διακινδυνεύοντας την υποκλοπή ονόματος χρήστη και κωδικού πρόσβασης σε μορφή καθαρού κειμένου.
  • CVE-2021-23147: Εκτέλεση εντολών ως root χωρίς έλεγχο ταυτοποίησης μέσω σύνδεσης θύρας UART. Η εκμετάλλευση αυτού του ελαττώματος απαιτεί φυσική πρόσβαση στη συσκευή.
  • CVE-2021-45732: Χειρισμός διαμόρφωσης μέσω hardcoded encryption routines, επιτρέποντας την αλλαγή των ρυθμίσεων που είναι κλειδωμένες για λόγους ασφαλείας.
  • CVE-2021-45077: Όλα τα ονόματα χρήστη και οι κωδικοί πρόσβασης για τις υπηρεσίες της συσκευής αποθηκεύονται σε μορφή απλού κειμένου στο αρχείο διαμόρφωσης.

Εκτός από τα προαναφερθέντα ζητήματα ασφάλειας, η Tenable βρήκε αρκετές περιπτώσεις βιβλιοθηκών jQuery που βασίζονται στην έκδοση 1.4.2, η οποία είναι γνωστό ότι περιέχει ευπάθειες. Οι ερευνητές σημειώνουν επίσης ότι η συσκευή χρησιμοποιεί μια έκδοση server MiniDLNA με ελαττώματα που είναι γνωστά δημοσίως.

Δείτε επίσης: Netgear: Διορθώνει επικίνδυνο σφάλμα εκτέλεσης κώδικα σε πολλά routers

Τα ελαττώματα που αποκαλύφθηκαν πρόσφατα επηρεάζουν την έκδοση firmware 1.0.4.120, η οποία είναι η πιο πρόσφατη έκδοση για τη συσκευή.

Συνιστάται στους χρήστες να αλλάζουν τα default credentials σε κάτι μοναδικό και ισχυρό και να ακολουθούν τις συνιστώμενες πρακτικές ασφαλείας για πιο ισχυρή άμυνα έναντι μολύνσεων από κακόβουλο λογισμικό.

Netgear Netgear

Επίσης, ελέγχετε τακτικά το firmware download portal της Netgear και εγκαταστήστε νέες εκδόσεις μόλις γίνουν διαθέσιμες. Συνιστάται επίσης η ενεργοποίηση των αυτόματων ενημερώσεων στο router σας.

Η τρέχουσα αναφορά ασφαλείας αναφέρεται στο Netgear R6700 v3, το οποίο εξακολουθεί να υποστηρίζεται, όχι στο Netgear R6700 v1 και στο R6700 v2, τα οποία έχουν λήξει. Εάν εξακολουθείτε να χρησιμοποιείτε τα παλαιότερα μοντέλα, συνιστάται να τα αναβαθμίσετε.

Δείτε επίσης: Netgear: Διορθώνει σοβαρά bugs σε πάνω από δώδεκα smart switches

Η Tenable αποκάλυψε τα παραπάνω ζητήματα στον πωλητή στις 30 Σεπτεμβρίου 2021, και παρόλο που πραγματοποιήθηκε κάποια ανταλλαγή πληροφοριών με τη μορφή διευκρινίσεων και προτάσεων στη συνέχεια, τα προβλήματα παραμένουν ανεπίλυτα.

Πηγή πληροφοριών: bleepingcomputer.com

The post Η Netgear δεν έχει διορθώσει έξι ευπάθειες στο router Nighthawk appeared first on SecNews.gr.

Home

%d bloggers like this: